ALTER TABLE DATAFLOW ADD CONSTRAINT DFD_DSD_ID 
	FOREIGN KEY (DSD_ID) REFERENCES DSD (DSD_ID)
;
ALTER TABLE DATAFLOW ADD CONSTRAINT FK_DATAFLOW_MAPPING_SET 
	FOREIGN KEY (MAP_SET_ID) REFERENCES MAPPING_SET (MAP_SET_ID)
;
ALTER TABLE DATAFLOW   ADD  CONSTRAINT FK_DATAFLOW_STRUCTURE_USAGE FOREIGN KEY(DF_ID)
REFERENCES STRUCTURE_USAGE (SU_ID)
ON DELETE CASCADE
;
ALTER TABLE DATAFLOW ADD CONSTRAINT FK_DATAFLOW_DATA_SOURCE 
	FOREIGN KEY (DATA_SOURCE_ID) REFERENCES DATA_SOURCE (DATA_SOURCE_ID)
;